\usepackage[TS1,T1]{fontenc}

\usepackage[
    backend=biber,
    style=apa,
    natbib=true]{biblatex}
\usepackage{rotating}
\usepackage{booktabs}
\usepackage{tabularx}
\usepackage{csquotes}
\usepackage{enumitem}
\usepackage[disable]{todonotes}
\usepackage{acronym}
\usepackage{amsmath}
\usepackage{caption}
\usepackage{subcaption}
\usepackage{siunitx}
\usepackage[table,xcdraw]{xcolor}
\usepackage{framed}
\usepackage{xparse}
\sisetup{output-exponent-marker=\ensuremath{\mathrm{e}}}
\usepackage{multirow}
\usepackage{mathtools}
\usepackage{siunitx}  
\usepackage{icomma}
\sisetup{locale = DE} 
\usepackage[ngerman]{babel}
\addto\extrasngerman{\def\subsectionautorefname{Unterkapitel}}
\addto\extrasngerman{\def\sectionautorefname{Kapitel}}
\addto\extrasngerman{\def\subsubsectionautorefname{Abschnitt}}
\addto\captionsngerman{\renewcommand{\abstractname}{Abstract}}

\definecolor{mygray}{RGB}{230,230,230} % Definiere eine Graufarbe nach Bedarf

\NewDocumentEnvironment{thesis}{ O{} +b }{%
	\par\noindent
	\colorbox{mygray}{%
		\begin{minipage}{\dimexpr\linewidth-2\fboxsep-2\fboxrule}
			\textbf{These #1: }
			#2
		\end{minipage}%
	}%
	\par
}{}

\addbibresource{bibliography.bib}

%Manuelle Silbentrennungen
%\hyphenation{Diaspora-Mo-bi-li-sie-rung}